# ds__SignatureType Struct Reference

Imported complexType "http://www.w3.org/2000/09/xmldsig#":SignatureType from typemap WS/WS-typemap.dat. More...

`#include <ds.h>`

Collaboration diagram for ds__SignatureType:

[legend]
List of all members.

## Public Attributes

ds__SignedInfoType * | SignedInfo
char * | SignatureValue
ds__KeyInfoType * | KeyInfo
char * | Id

## Detailed Description

Imported complexType "http://www.w3.org/2000/09/xmldsig#":SignatureType from typemap WS/WS-typemap.dat.

## Member Data Documentation

char* ds__SignatureType::Id

struct ds__KeyInfoType* ds__SignatureType::KeyInfo

char* ds__SignatureType::SignatureValue

struct ds__SignedInfoType* ds__SignatureType::SignedInfo

The documentation for this struct was generated from the following file:

- /Users/engelen/Projects/gsoap/import/ds.h